Fedora-Fr - Communauté francophone Fedora - Linux

Communauté francophone des utilisateurs de la distribution Linux Fedora.

  

Dernière news : Fedora Linux 37 est disponible !

#1 18/10/2005 18:36:57

hitman
Membre
Inscription : 23/05/2005
Messages : 388
Site Web

glchess

salut, je n arrive pas a installer glschess car il me manque la librairie libexpat que je ne peux pas trouver. Comment faire ou un autre jeux !?? Impossible aussi de configurer gnuchess pour le niveau et le tps des parties par exemple.


83748.png

Hors ligne

#2 18/10/2005 19:25:52

remi
Crazy PHP packages monkey... !
Rédacteur Wiki
Lieu : Champagne...
Inscription : 16/10/2004
Messages : 5 603
Site Web

Re : glchess

Elle fait pourtant partie des bibliothèques standards.

yum install expat

Par contre si tu cherches a "compiler" glschess, c'est

yum install expat-devel

Par contre désolé, je ne connais pas glschess (bon, si c'est glchess il semble y avoir un RPM).

A+

Hors ligne

#3 18/10/2005 19:50:00

hitman
Membre
Inscription : 23/05/2005
Messages : 388
Site Web

Re : glchess

Ca ne fonctionne pas chez moi  yum install expat, il faut quel depos ???


83748.png

Hors ligne

#4 18/10/2005 20:05:22

remi
Crazy PHP packages monkey... !
Rédacteur Wiki
Lieu : Champagne...
Inscription : 16/10/2004
Messages : 5 603
Site Web

Re : glchess

hitman a écrit:
Ca ne fonctionne pas chez moi  yum install expat, i

ça veut dire quoi "fonctionne pas" ?

expat est dans le dépot de base.
Il est peut-être déjà installé ?

rpm -q expat

A+

Hors ligne

#5 18/10/2005 20:18:31

hitman
Membre
Inscription : 23/05/2005
Messages : 388
Site Web

Re : glchess

oui désolé il est deja mis alors je comprend pas pourquoi il veut cette lib j ai bien expat et expat-devel d isntallé mais quand je lance mon rpm il veut cette librairie : libexpat.so.1

ah

pas facil


83748.png

Hors ligne

#6 18/10/2005 20:30:36

remi
Crazy PHP packages monkey... !
Rédacteur Wiki
Lieu : Champagne...
Inscription : 16/10/2004
Messages : 5 603
Site Web

Re : glchess

Parce que ton RPM n'est pas un RPM pour Fedora Core 4.

Il lui faut donc une version différente de la bibliothèque partagée. Le plus simple serait de récupérer le RPM source (....src.rpm) et de le reconstruire (rpmbuild) pour ta machine.

Mais d'un autre côté si dag ne propose plus le RPM c'est qu'il y a un problème avec sa compilation pour FC3 ou FC4.

A+

Hors ligne

Pied de page des forums